\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Typedefs | Enumerations | Functions | Variables
Enumerations and Related Functions
2D and 3D Linear Geometry Kernel Reference

##

## Typedefs
typedef Sign | CGAL::Orientation

## Enumerations
enum | CGAL::Angle { CGAL::OBTUSE, CGAL::RIGHT, CGAL::ACUTE }
enum | CGAL::Bounded_side { CGAL::ON_UNBOUNDED_SIDE, CGAL::ON_BOUNDARY, CGAL::ON_BOUNDED_SIDE }
enum | CGAL::Comparison_result { CGAL::SMALLER, CGAL::EQUAL, CGAL::LARGER }
enum | CGAL::Sign { CGAL::NEGATIVE, CGAL::ZERO, CGAL::POSITIVE }
enum | CGAL::Oriented_side { CGAL::ON_NEGATIVE_SIDE, CGAL::ON_ORIENTED_BOUNDARY, CGAL::ON_POSITIVE_SIDE }

## Functions
template<typename T , typename U >
T | CGAL::enum_cast (const U &u)
| converts between the various enums provided by the CGAL kernel. More...
Oriented_side | CGAL::opposite (const Oriented_side &o)
| returns the opposite side (for example `CGAL::ON_POSITIVE_SIDE` if `o`==`CGAL::ON_NEGATIVE_SIDE`), or `CGAL::ON_ORIENTED_BOUNDARY` if `o`==`CGAL::ON_ORIENTED_BOUNDARY`.
Bounded_side | CGAL::opposite (const Bounded_side &o)
| returns the opposite side (for example `CGAL::ON_BOUNDED_SIDE` if `o`==`CGAL::ON_UNBOUNDED_SIDE`), or returns `CGAL::ON_BOUNDARY` if `o`==`CGAL::ON_BOUNDARY`.

## Variables
const CGAL::Orientation | CGAL::CLOCKWISE = NEGATIVE
const CGAL::Orientation | CGAL::COUNTERCLOCKWISE = POSITIVE
const CGAL::Orientation | CGAL::COLLINEAR = ZERO
const CGAL::Orientation | CGAL::LEFT_TURN = POSITIVE
const CGAL::Orientation | CGAL::RIGHT_TURN = NEGATIVE
const CGAL::Orientation | CGAL::COPLANAR = ZERO
const CGAL::Orientation | CGAL::DEGENERATE = ZERO
const CGAL::Null_vector | CGAL::NULL_VECTOR
| A symbolic constant used to construct zero length vectors. More...
const CGAL::Origin | CGAL::ORIGIN
| A symbolic constant which denotes the point at the origin. More...

## Typedef Documentation

typedef Sign CGAL::Orientation

See Also
  `CGAL::LEFT_TURN`
  `CGAL::RIGHT_TURN`
  `CGAL::COLLINEAR`
  `CGAL::CLOCKWISE`
  `CGAL::COUNTERCLOCKWISE`
  `CGAL::COPLANAR`

`#include <CGAL/enum.h>`

Examples:
  Filtered_kernel/Filtered_predicate.cpp.

## Enumeration Type Documentation

enum CGAL::Angle

See Also
  `CGAL::angle()`

`#include <CGAL/enum.h>`

Enumerator
OBTUSE |
RIGHT |
ACUTE |

enum CGAL::Bounded_side

See Also
  `CGAL::opposite(const Bounded_side& o)`

`#include <CGAL/enum.h>`

Enumerator
ON_UNBOUNDED_SIDE |
ON_BOUNDARY |
ON_BOUNDED_SIDE |

enum CGAL::Comparison_result

`#include <CGAL/enum.h>`

Enumerator
SMALLER |
EQUAL |
LARGER |

enum CGAL::Oriented_side

`#include <CGAL/enum.h>`

Enumerator
ON_NEGATIVE_SIDE |
ON_ORIENTED_BOUNDARY |
ON_POSITIVE_SIDE |

enum CGAL::Sign

See Also
  `CGAL::Orientation`

`#include <CGAL/enum.h>`

Enumerator
NEGATIVE |
ZERO |
POSITIVE |

## Function Documentation

template<typename T , typename U >

T CGAL::enum_cast | ( | const U & | u) |  |

converts between the various enums provided by the CGAL kernel.

The conversion preserves the order of the values.

See Also
  `CGAL::Sign`
  `CGAL::Comparison_result`
  `CGAL::Orientation`
  `CGAL::Oriented_side`
  `CGAL::Bounded_side`
  `CGAL::Angle`
  `CGAL::Uncertain<T>`

`#include <CGAL/enum.h>`

## Variable Documentation

const CGAL::Orientation CGAL::CLOCKWISE = NEGATIVE

See Also
  `CGAL::COUNTERCLOCKWISE`

`#include <CGAL/enum.h>`

const CGAL::Orientation CGAL::COLLINEAR = ZERO

See Also
  `CGAL::LEFT_TURN`
  `CGAL::RIGHT_TURN`

`#include <CGAL/enum.h>`

Examples:
  Kernel_23/points_and_segment.cpp.

const CGAL::Orientation CGAL::COUNTERCLOCKWISE = POSITIVE

See Also
  `CGAL::CLOCKWISE`

`#include <CGAL/enum.h>`

const CGAL::Orientation CGAL::LEFT_TURN = POSITIVE

See Also
  `CGAL::COLLINEAR`
  `CGAL::RIGHT_TURN`

`#include <CGAL/enum.h>`

Examples:
  Kernel_23/points_and_segment.cpp.

const CGAL::Null_vector CGAL::NULL_VECTOR

A symbolic constant used to construct zero length vectors.

See Also
  `CGAL::Vector_2<Kernel>`
  `CGAL::Vector_3<Kernel>`

`#include <CGAL/enum.h>`

const Origin CGAL::ORIGIN

A symbolic constant which denotes the point at the origin.

This constant is used in the conversion between points and vectors.

Example

Point_2< Cartesian<Exact_NT> > p(1.0, 1.0), q;
Vector2< Cartesian<Exact_NT> > v;
v = p - ORIGIN;
q = ORIGIN + v;
assert( p == q );

See Also
  `CGAL::Point_2<Kernel>`
  `CGAL::Point_3<Kernel>`

`#include <CGAL/enum.h>`

const CGAL::Orientation CGAL::RIGHT_TURN = NEGATIVE

See Also
  `CGAL::COLLINEAR`
  `CGAL::LEFT_TURN`

`#include <CGAL/enum.h>`

Examples:
  Kernel_23/points_and_segment.cpp.